Skip to content
Last updated

Add a user to a department.

POSThttps://api.aitronos.com/v1/organizations/{organization_id}/departments/{department_id}/members

Adds an existing organization member to a department. The user must already be a member of the organization. A user cannot be added to the same department twice.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

department_id string required

The unique identifier of the department (format: dept_*).

Request Body

user_id string required

The ID of the user to add to the department (format: usr_*). The user must be a member of the organization.


Returns

The department member object with a 201 Created status code.

cURL
curl -X POST https://api.aitronos.com/v1/organizations/org_xyz789/departments/dept_abc123/members \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "user_id": "usr_def456"
  }'